Probleme nach Update mit der Backend Administrations [Gelöst]

  • dgr dgr
    T3PO
    0 x
    27 Beiträge
    0 Hilfreiche Beiträge
    17. 03. 2010, 19:38

    Hallo,

    ich habe auf T3 4.1.10 nheute ein Update von mm_forum 1.7 auf 1.8.3 durchgeführt. Danach erschein im Backend der Link zum Administrationstool aber das Modul lässt sich nicht aufrufen (ohne Fehlermeldung).

    Auch bei den Datumsangaben habe ich ein Problem, doch dazu habe ich eine Beitrag hier gefunden, zu dem ich aber das Admin-Tool brauche.

    Vielen Dank!

    Dirk


  • dgr dgr
    T3PO
    0 x
    27 Beiträge
    0 Hilfreiche Beiträge
    18. 03. 2010, 17:02

    Hallo,

    kann keiner helfen? Ich habe die Installation nochmals durchgeführt, dass gleiche Ergebnis. Der Link zum Backendmodul ist zwar vorhanden, wenn man ihn anklickt bleibt der rechte Bereich aber leer. Gibt es eventuell Probleme mit Typo3 Version 4.1.10 und mm_forum 1.8?

    Vielen Dank für jede Hilfe

    Dirk

  • Jürg Jürg
    TYPO3-Anwärter
    0 x
    4 Beiträge
    0 Hilfreiche Beiträge
    18. 03. 2010, 21:45

    Hallo Dirk,

    ich kann den Fehler bestätigen.
    Könnte an der TYPO3-Version (bei mir 4.1.6) resp. PHP-Version liegen.
    Schreib doch einen Bugreport.

    Jürg

  • DerMurks DerMurks
    T3PO
    0 x
    8 Beiträge
    0 Hilfreiche Beiträge
    19. 03. 2010, 10:40

    Hab das gleiche Problem und verwende TYPO3 4.1.12 und PHP 5.1.2.

    Allerdings habe ich das mm_forum von Version 0.1.6 auf die aktuelle 1.8.3 aktualisiert.

    Ich schreibe mal einen Bugreport bei TYPO3Forge - mal sehen, was rauskommt...

  • dgr dgr
    T3PO
    0 x
    27 Beiträge
    0 Hilfreiche Beiträge
    19. 03. 2010, 10:52

    Hallo,

    ich stelle mal noch die Fehkermeldung rein, die im Backend erschein, wenn man auf den Link klickt:

    Fatal error: Call to undefined method t3lib_parsehtml::substituteMarkerArray() in /var/www/customer/kolleg/data/www/typo3conf/ext/mm_forum/mod1/index.php on line 457

    Sorry, habe ich ganz vergessen. Danke, dass der Bug-Report schon raus ist.

    Viele Grüße

    Dirk

  • stefan72 stefan72
    Jedi-Meister
    0 x
    404 Beiträge
    0 Hilfreiche Beiträge
    20. 03. 2010, 10:02

    Hallo, behebt zwar das Problem mit der Version 1.8.3 nicht aber anstelle des Updates auf 1.8.3 habe ich den von Martin erwähnten TS Code mit Version 1.8.2 eingegeben:

    The vulnerability can be avoided by using a specific TypoScript setup. The new version just modifies the default value for a specific configuration property. If for any reason, you cannot upgrade to the new version, you can fix the xss vulnerability just as good by inserting

    plugin.tx_mmforum_pi1.validatorSettings.quotes = double

    into your Typoscript setup. Credits go to Stefanos Karasavvidis, who initially discovered the problem.

  • dgr dgr
    T3PO
    0 x
    27 Beiträge
    0 Hilfreiche Beiträge
    21. 03. 2010, 14:47

    Danke für den Tipp.
    Ich denke, wenn der Unterschied von 1.8.2 und 1.8.3 die Beseitigung des Sicherheitzsproblem ist, wird eine Installation auf 1.8.2 unser Problem nicht lösen. Oder?

    Viele Grüße

    Dirk

  • DerMurks DerMurks
    T3PO
    0 x
    8 Beiträge
    0 Hilfreiche Beiträge
    22. 03. 2010, 08:17

    [quote="dgr"]
    Hallo,

    ich stelle mal noch die Fehkermeldung rein, die im Backend erschein, wenn man auf den Link klickt:

    Fatal error: Call to undefined method t3lib_parsehtml::substituteMarkerArray() in /var/www/customer/kolleg/data/www/typo3conf/ext/mm_forum/mod1/index.php on line 457
    [/quote]

    Also bei mir erscheint da gar nichts - nur der Navigationsframe außenrum und der Seitenbaum. Das große Feld zum bearbeiten der Inhalte bleibt einfach weiß.

    Vielleicht hilft uns eine kleine Auflistung der zusätzlich installierten Extensions weiter?
    In meinem Fall könnten folgende Extensions mit dem mm_forum in Konflikt geraten:
    - newloginbox (newloginbox)
    - newloginbox redirect (sv_login_redirect)

    Nachdem diese ja ab TYPO3 4.2 als Systemextension (felogin) integriert ist, könnte ich mir vorstellen, dass es hierbei ein Problem geben könnte.

    Grüßle,
    Markus.

  • DerMurks DerMurks
    T3PO
    0 x
    8 Beiträge
    0 Hilfreiche Beiträge
    22. 03. 2010, 08:58

    Anmerkung zum letzten Post:
    Nein, an den Extensions scheint es nicht zu liegen - nachdem ich beide deaktiviert habe, war keine Besserung festzustellen. War vermutlich sowieso eher Verzweiflung als berechtigte Hoffnung...

    Leider konnte ich auch bisher keine alte Version des Forums finden, um die Extension downzugraden.

    Also mein heißer Favorit ist eine Inkompatibilität zwischen mm_forum 1.8.x und TYPO3 4.1.x - gibt es irgendwelche Gegenbeweise und/oder ältere T3X-Files?

  • dgr dgr
    T3PO
    0 x
    27 Beiträge
    0 Hilfreiche Beiträge
    22. 03. 2010, 18:43

    Hallo,

    ich habe zum Test die Version 1.8.3 auf eine Testserver 4.3 installiert, da geht es. Das Forum ist ein wichtiger Dreh- und Angelpunkt bei uns, ich würde aber ungern updaten.
    An älteren Versionen kann ich auch nur noch 1.8.2 anbieten.

    Ich habe noch ein paar andere Fehler festgestellt, wo ich aber nicht weiß, ob sie sich im Backendmodul abstellen lassen:
    - das Datumsformat bei älteren Forumbeiträgen stimmt nicht (laut eines Beitrages hier im Forum kann dies aber im Backendmodul abgestellt werden)
    - die Berechtigungen stimmen nicht mehr
    - das Userprofil lässt sich nicht anpassen (sowohl kein neues Template wie auch mit Hilfe von UserFields).

    Viele Grüße

    Dirk